[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FileDateToDateTime

Convert a FileDate value to a TDateTime value.

## Declaration

Source position: datih.inc line 146

`function FileDateToDateTime(`
`Filedate: LongInt`
`):TDateTime;`

## Description

FileDateToDateTime converts the date/time encoded in filedate to a TDateTime encoded form. It can be used to convert date/time values returned by the FileAge or FindFirst/FindNext functions to TDateTime form.

## Errors

None.

## See also

DateTimeToFileDate |  | Convert a TDateTime value to a file age (integer)

## Example

    Program Example13;

    { This program demonstrates the FileDateToDateTime function }

    Uses sysutils;

    Var
      ThisAge : Longint;

    Begin
     Write ('ex13.pp created on :');
     ThisAge:=FileAge('ex13.pp');
     Writeln (DateTimeToStr(FileDateToDateTime(ThisAge)));
    End.

Documentation generated on: Feb 26 2014